/*
	Pretty Good(tm) Privacy - RSA public key cryptography for the masses
	Written by rng
	Version 1.0 - Last revised 7-30-95

	This defines routines & macros to access a hardware random nummber
	generator.

*/

#ifndef HARDRAND_H
#define HARDRAND_H


#include "usuals.h"
#include "pgp.h"
/* gets a random byte from a hardware random driver */
byte hardrand(void);

/* define HARDRANDOM to be true if there is ANY kind of hardware
 * random driver, be it file that can be opened, or
 * bus RNG under DOS or OS/2
 */
#if defined(MSDOS) || defined(OS2) || defined(__MSDOS__) || defined(__OS2__)
/* there is a hard RNG if eigher */
#define HARDRANDOM ( (*hardrandomdriver) || hardrandom_port )
#else
#define HARDRANDOM ( *hardrandomdriver )
#endif

#endif /* HARDRAND_H */


